<?php
namespace Teknisa\EST\Modules\Ajuste\Factories;

class AjusteEstoque {

    protected $connection;
    protected $entityManager;

    public function __construct ($entityManager) {
        $this->connection = $entityManager->getConnection();
		$this->entityManager = $entityManager;
    }

    public function insertLanctoestoq($params) {

		$sql = "INSERT INTO LANCTOESTOQ
				  ( NRLANCESTQ, DTLANCESTQ, DSLANCESTQ, CDFILIAL, CDFILIMOVI, IDTPLANCTO, 
				  	IDALTCUSMED, IDSTATUSCTBEST, CDALMOXARIFE, CDLOCALESTOQ,  CDOPERADOR, NRORG)
				VALUES
				  (:NRLANCESTQ, :DTLANCESTQ, :DSLANCESTQ, :CDFILIAL, :CDFILIMOVI, :IDTPLANCTO, 
				  :IDALTCUSMED, :IDSTATUSCTBEST, :CDALMOXARIFE, :CDLOCALESTOQ, :CDOPERADOR, :NRORG)";

		$query = $this->connection->prepare($sql);
		$query->execute($params);
	}

	public function insertItlanctoest($params) {

		$sql = "INSERT INTO ITLANCTOEST
				  ( NRLANCESTQ,  NRSEQUITEM,  CDPRODUTO,  NRLOTEESTQ,  NRSUBLOTE, CDALMOXARIFE,  CDLOCALESTOQ,  
				  CDFILIAL,  CDFILIMOVI,  QTLANCTOEST,  IDEVOLESTOQ,  IDTIPOMOVI,  VRLANCTOBRUT,  CDPRODMOVI, 
				  DTLANCMOVI, QTTOTLANCTO, CDOPERADOR, IDAJUSTEIMPORT, NRORG)
				VALUES
				  (:NRLANCESTQ, :NRSEQUITEM, :CDPRODUTO, :NRLOTEESTQ, :NRSUBLOTE,:CDALMOXARIFE, :CDLOCALESTOQ, 
				  :CDFILIAL, :CDFILIMOVI, :QTLANCTOEST, :IDEVOLESTOQ, :IDTIPOMOVI, :VRLANCTOBRUT, :CDPRODMOVI, 
				  :DTLANCMOVI, :QTTOTLANCTO, :CDOPERADOR, :IDAJUSTEIMPORT, :NRORG)";

		$query = $this->connection->prepare($sql);
		$query->execute($params);
	}
	
	public function getParamAppAtuEstq($filial) {
		$parameters = array(
            "P_CDFILIAL" => $filial
        );
        $sql = "SELECT NVL(IDAPPATUESTQ , 'N') AS IDAPPATUESTQ  
				FROM PARAMFILIAL
				WHERE CDFILIAL = :P_CDFILIAL";
        $std = $this->connection->prepare($sql);
        $std->execute($parameters);
        return $std->fetchAll();
    }
    
    public function getMaxNrSeqItemAjuste($cdfilial, $nrlancestq) {
    	$parameters = array(
            "P_CDFILIAL" => $cdfilial,
            "P_NRLANCESTQ" => $nrlancestq
        );
        $sql = "SELECT MAX(NRSEQUITEM) + 1 AS NRSEQUITEM
				FROM ITLANCTOEST
				WHERE NRLANCESTQ = :P_NRLANCESTQ
				AND CDFILIAL     = :P_CDFILIAL";
				
        $std = $this->connection->prepare($sql);
        $std->execute($parameters);
        return $std->fetchAll();
    }
    
    public function getProdutoEstoque($cdproduto) {
    	$parameters = array(
            "P_CDPRODUTO" => $cdproduto
        );
        $sql = "SELECT CDPRODESTO FROM PRODUTO
				WHERE CDPRODUTO = :P_CDPRODUTO";
				
        $std = $this->connection->prepare($sql);
        $std->execute($parameters);
        $result = $std->fetchAll();
        return isset($result[0])? $result[0]['CDPRODESTO'] : $result;
    }
    

}