CREATE TABLE CONFIGINTCAT (
   CDCLIENTE 		VARCHAR2(21) 	NOT NULL,
   CDCCUSCLIE 		VARCHAR2(10) 	NOT NULL,
   CDPRODUTO 		VARCHAR2(10) 	NOT NULL,
   VRPRECO 		FLOAT 		NOT NULL,
   HRINICIAL 		VARCHAR2(4) 	NOT NULL,
   HRFINAL 		VARCHAR2(4) 	NOT NULL,
   NRORG 	       	NUMBER 		DEFAULT 	SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO		VARCHAR2(1)	DEFAULT 'S' 	NOT NULL
		CONSTRAINT CKC_IDATIVO_CONFIGINTCAT CHECK (IDATIVO IN ('S', 'N')),          
   DTINCLUSAO      	DATE           	NULL,
   DTULTATU        	DATE           	NULL,
   NRORGINCLUSAO   	NUMBER         	DEFAULT 1		NULL,
   CDOPERINCLUSAO  	VARCHAR2(12)   	DEFAULT '1'		NULL,
   NRORGULTATU     	NUMBER         	DEFAULT 1		NULL,
   CDOPERULTATU    	VARCHAR2(12)   	DEFAULT '1'		NULL,    
		CONSTRAINT PK_CONFIGINTCAT PRIMARY KEY(CDCLIENTE, CDCCUSCLIE, CDPRODUTO, VRPRECO, HRINICIAL, HRFINAL)
)
/

ALTER TABLE CONFIGINTCAT 
	ADD CONSTRAINT FKVND00726CONFIGINTCAT_CLIENTE FOREIGN KEY (CDCLIENTE) 
		REFERENCES CLIENTE (CDCLIENTE)
/

ALTER TABLE CONFIGINTCAT 
	ADD CONSTRAINT FKVND00727CONFIGINTCAT_PRODUTO FOREIGN KEY (CDPRODUTO) 
		REFERENCES PRODUTO (CDPRODUTO)
/


ALTER TABLE CLIENTE ADD VRSALDMIN FLOAT
/


ALTER TABLE PARAVEND ADD IDUTINTCATBIO VARCHAR2(1) DEFAULT 'N' NOT NULL
/

ALTER TABLE PARAVEND ADD CONSTRAINT CKC_PARAVEND_IDUTINTCATBIO CHECK (IDUTINTCATBIO IN ('N', 'S'))
/


ALTER TABLE CAIXA ADD IDRECAUTVENCAT VARCHAR2(1) DEFAULT 'N' NOT NULL
/

ALTER TABLE CAIXA ADD CONSTRAINT CKC_PARAVEND_IDRECAUTVENCAT CHECK (IDRECAUTVENCAT IN ('N', 'S'))
/